#ifndef compiler_linker_linker_context_h
#define compiler_linker_linker_context_h

#include <string>
#include "../../__common/binaries.h"
#include "linker_object.h"

namespace expression
{
	class base;
}

namespace linker
{
	//
	// Context
	class context
	{
	public:

		virtual expression::base* getExpr(const std::string& name) const = 0;
		virtual binary::link getLink(const std::string& name) const = 0;
		virtual binary::link add(object* obj) = 0;
	};
}

#endif
