#ifndef compiler_syntacter_syntacter_code_h
#define compiler_syntacter_syntacter_code_h

#include "syntacter_expression.h"

namespace syntacter
{
	/*
		<procedure call> ::= (<operator> <operand>*)
			<operator> ::= <expression>
			<operand> ::= <expression>
		<conditional> ::= (if <test> <consequent> <alternate>)
			<test> ::= <expression>
			<consequence> ::= <expression>
			<alternate> ::= <expression>
		<derived expression> ::= (cond <cond clause>+) 
				| (cond <cond clause>* (else <expression>))
				| (and <test>*) | (or <test>*)
			<cond clause> ::= (<test> <expression>)
	*/

	expression::base* read_code(stream::input<lexer::token>& i);
}

#endif
