#ifndef compiler_syntacter_syntacter_lambda_h
#define compiler_syntacter_syntacter_lambda_h

#include "syntacter_expression.h"

namespace syntacter
{
	/*
		<lambda expression> ::= (lambda <formals> <body>)
			<formals> ::= (<variable>*) | <variable> | (<variable>+ . <variable>)
			<body> ::= <expression>
			     
	*/

	expression::base* read_lambda(stream::input<lexer::token>& i);
}

#endif
