#ifndef executer_object_object_lambda_h
#define executer_object_object_lambda_h

#include "object_base.h"
#include "../../__common/binaries.h"

namespace object
{
	//
	// lambda object
	class lambda : public base
	{
	public:

		static proxy create(const context::base* c, const char* v, size_t size);

		virtual proxy apply(bool separable, size_t argc, const proxy* args) const;
		virtual std::string toString() const;

	private:

		lambda(const context::base* c, const binary::lambda& l);

	private:

		size_t m_argc;
		bool m_argList;
		binary::link m_exp;
	};
}

#endif
